﻿
namespace CollectionBinding
{
    /// <summary>
    /// 员工类
    /// </summary>
    public class Employee : NotifyPropertyChangedObject
    {

        private string _name = "";
        public string Name
        {
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
            get
            {
                return _name;
            }
        }

        private int _salary = 0;

        public int Salary
        {
            get
            {
                return _salary;
            }
            set
            {
                _salary = value;
                OnPropertyChanged("Salary");
            }
        }
    }
}
